package org.objectweb.petals.binding.servicesexplorer;


public interface ServicesExplorerMBean {
	
	public static final String INONLY = "InOnly";

	public static final String INOUT = "InOut";

	public static final String INOPTIONALOUT = "InOptionalOut";

	public static final String ROBUSTINONLY = "RobustInOnly";
		
	public void send(String service, String op, String endpoint, String content, String type, long syncTime);
	
	public String[] getTypes();
	
	public String[] getEndpointsNames();
	
	public String getEndpointNameFromDescription(String desc);
	
	public String getEndpointDescriptionFromName(String endpointName);
	
	public String getEndpointInterfacesFromName(String endpointName);
	
	public String getEndpointReferenceFromName(String endpointName);
	
}