/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MavenCleanInstallAction.java,v 1.3 2007/04/11 13:34:07 lam Exp $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.plugin.development.actions;

import org.eclipse.ui.IViewSite;

/**
 * @author LAM
 */
public class MavenCleanInstallAction extends MavenAction {

    /**
     * Constructor
     */
    public MavenCleanInstallAction(final IViewSite site) {
        super(site.getShell());
        this.setText(Messages.MavenCleanInstallAction_0);
        this.setToolTipText(Messages.MavenCleanInstallAction_1
                + Messages.MavenCleanInstallAction_2);
        this.setCommandArgs(Messages.MavenCleanInstallAction_3);
    }

}
