/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SaSuTarget.java,v 1.4 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

/**
 * Binding for DOM Element tag : jbi &gt; service-assembly &gt; service-unit
 * &gt; target
 * 
 * @author LAM
 */
public class SaSuTarget {

    private String artifactsZip;

    private String componentName;
    
    /**
     * Creates a new instance of {@link SaSuTarget}
     *
     */
    public SaSuTarget() {
    }

    /**
     * Getter
     * 
     * @return the artifactsZip
     */
    public String getArtifactsZip() {
        return artifactsZip;
    }

    /**
     * Setter
     * 
     * @param artifactsZip
     *            the artifactsZip to set
     */
    public void setArtifactsZip(String artifactsZip) {
        this.artifactsZip = artifactsZip;
    }

    /**
     * Getter
     * 
     * @return the componentName
     */
    public String getComponentName() {
        return componentName;
    }

    /**
     * Setter
     * 
     * @param componentName
     *            the componentName to set
     */
    public void setComponentName(String componentName) {
        this.componentName = componentName;
    }
}
