/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceAssembly.java,v 1.4 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

import java.util.List;

/**
 * Binding for DOM Element tag : jbi &gt; service-assembly
 * 
 * @author LAM
 */
public class ServiceAssembly {

    private Identification identification;

    private List<SaServiceUnit> serviceUnitList;

    private SaConnections connections;
    
    public ServiceAssembly() {
        
    }

    /**
     * Getter
     * 
     * @return the connections
     */
    public SaConnections getConnections() {
        return connections;
    }

    /**
     * Setter
     * 
     * @param connections
     *            the connections to set
     */
    public void setConnections(SaConnections connections) {
        this.connections = connections;
    }

    /**
     * Getter
     * 
     * @return the identification
     */
    public Identification getIdentification() {
        return identification;
    }

    /**
     * Setter
     * 
     * @param identification
     *            the identification to set
     */
    public void setIdentification(Identification identification) {
        this.identification = identification;
    }

    /**
     * Getter
     * 
     * @return the serviceUnitList
     */
    public List<SaServiceUnit> getServiceUnitList() {
        return serviceUnitList;
    }

    /**
     * Setter
     * 
     * @param serviceUnitList
     *            the serviceUnitList to set
     */
    public void setServiceUnitList(List<SaServiceUnit> serviceUnitList) {
        this.serviceUnitList = serviceUnitList;
    }
}
