/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: Services.java,v 1.6 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

import java.util.List;

/**
 * Binding for DOM Element tag : jbi &gt; services
 * 
 * @author LAM
 */
public class Services {

    private List<SeConsumesProvides> providesList;

    private List<SeConsumesProvides> consumesList;
    
    public Services() {
        
    }

    /**
     * Getter
     * 
     * @return the consumesList
     */
    public List<SeConsumesProvides> getConsumesList() {
        return consumesList;
    }

    /**
     * Setter
     * 
     * @param consumesList
     *            the consumesList to set
     */
    public void setConsumesList(List<SeConsumesProvides> consumesList) {
        this.consumesList = consumesList;
    }

    /**
     * Getter
     * 
     * @return the providesList
     */
    public List<SeConsumesProvides> getProvidesList() {
        return providesList;
    }

    /**
     * Setter
     * 
     * @param providesList
     *            the providesList to set
     */
    public void setProvidesList(List<SeConsumesProvides> providesList) {
        this.providesList = providesList;
    }
}
