/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.wizards.models;

import javax.xml.namespace.QName;

/**
 * @author LAM
 * 
 */
public class NamespaceBean {
    
    private QName namespaceUri;
    
    private String value;
    
    /**
     * Creates a new instance of {@link NamespaceBean}
     *
     */
    public NamespaceBean() {
    }

    /**
     * Creates a new instance of {@link NamespaceBean}
     *
     * @param namespaceUri
     * @param value
     */
    public NamespaceBean(QName namespaceUri, String value) {
        this.namespaceUri = namespaceUri;
        this.value = value;
    }

    /**
     * @return
     */
    public QName getNamespaceUri() {
        return namespaceUri;
    }

    /**
     * @param namespaceUri
     */
    public void setNamespaceUri(QName namespaceUri) {
        this.namespaceUri = namespaceUri;
    }

    /**
     * @return
     */
    public String getValue() {
        return value;
    }

    /**
     * @param value
     */
    public void setValue(String value) {
        this.value = value;
    }

}
