package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.model.ServiceInterface;
import org.objectweb.petals.tools.plugin.monitor.properties.ServiceAssemblyComposite;
import org.objectweb.petals.tools.plugin.monitor.properties.ServiceUnitComposite;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeObject;


public class DeployComponentAction extends ViewerAction {

	public DeployComponentAction(TreeViewer viewer) {
		super(viewer, Action.AS_CHECK_BOX);
		setText("Monitorer");
		setDescription("Active/d\u00e9sactive le monitoring sur ce serveur");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
		
	}

	public void run() {
		ISelection selection = viewer.getSelection();
		for (Object obj : ((IStructuredSelection) selection).toList()) {
			TreeObject too = (TreeObject) obj;
			if (too instanceof ServiceInterface) {
				//TODO
				((ServiceInterface)too).deploy("file:test.zip");
				if (ServiceAssemblyComposite.getInstance() != null) {
					ServiceAssemblyComposite.getInstance().refresh();
				}
				if (ServiceUnitComposite.getInstance() != null) {
					ServiceUnitComposite.getInstance().refresh();
				}
			}
		}
	}

}
