package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.TreeViewer;

/**
 * @author JR (RAVOIRE Julien - CAPGEMINI)
 * 
 * 13 mars 07
 */
public class RedeployComponentAction extends ViewerAction {

	private Action start, stop;
	
	public RedeployComponentAction(TreeViewer viewer, Action startAction, Action stopAction) {
		super(viewer);
		setText("Red\u00e9ployer");
		setDescription("D\u00e9marre le composant s\u00e9lectionn\u00e9");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
		this.start = startAction;
		this.stop = stopAction;
	}

	public void run() {
		stop.run();
		start.run();
	}

}
