package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.properties.PetalsComponentComposite;


/**
 * @author JR (RAVOIRE Julien - CAPGEMINI)
 * 
 * 13 mars 07
 */
public class RestartComponentAction extends ViewerAction {

	private Action start, stop;
	
	public RestartComponentAction(TreeViewer viewer, Action start, Action stop) {
		super(viewer);
		setText("Red\u00e9marrer");
		setDescription("Red\u00e9marre le composant s\u00e9lectionn\u00e9");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
		this.start = start;
		this.stop = stop;
	}

	public void run() {
		stop.run();
		start.run();
		if (PetalsComponentComposite.getInstance() != null) {
			PetalsComponentComposite.getInstance().refresh();
		}
	}

}
