package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.model.PetalsServer;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeObject;


public class StopContainerAction extends ViewerAction {

	public StopContainerAction(TreeViewer viewer) {
		super(viewer);
		setText("Stopper");
		setToolTipText("Stoppe les serveurs PETALS s\u00e9lectionn\u00e9s");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
	}

	public void run() {
		ISelection selection = viewer.getSelection();
		for (Object obj: ((IStructuredSelection)selection).toList()) {
			TreeObject tpo = (TreeObject)obj;
			Object object = (TreeObject)tpo;
			if (object instanceof PetalsServer) {
				PetalsServer ps = ((PetalsServer)object);
				if (ps.isConnected()) {
					ps.shutdown(false);
					ps.disconnect();
				}
			}
		}
		refreshViewer();
	}

}
