package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.objectweb.petals.tools.plugin.monitor.Activator;
import org.objectweb.petals.tools.plugin.monitor.model.PetalsComponent;


public class SubscribeNotificationsAction extends Action {

	private PetalsComponent petalsComponent;

	public SubscribeNotificationsAction(PetalsComponent petalsComponent) {
		super("(D\u00e9s)abonnement", Action.AS_CHECK_BOX);
		this.petalsComponent = petalsComponent;
		setDescription("D\u00e9s/Abonnement");
		setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/subscribe.gif"));
	}

	public void run() {
		if (petalsComponent != null) {
			if (isChecked()) {
				petalsComponent.subscribe();
			} else {
				petalsComponent.unsubscribe();
			}
		}
	}

	public void setPetalsComponent(PetalsComponent petalsComponent) {
		this.petalsComponent = petalsComponent;
	}
	
}
