package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.model.PetalsServer;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeParent;


public class SynchronizePetalsServerAction extends ViewerAction {

	public SynchronizePetalsServerAction(TreeViewer viewer) {
		super(viewer);
		setText("Synchroniser");
		setDescription("Tag la pr\u00e9sence courante des composants avec celle de la pr\u00e9c\u00e9dente connexion \u00e0 ce serveur");
	}

	public void run() {
		ISelection selection = viewer.getSelection();
		for (Object obj: ((IStructuredSelection)selection).toList()) {
			TreeParent tpo = (TreeParent)obj;
			Object object = (TreeParent)tpo;
			if (object instanceof PetalsServer) {
				PetalsServer ps = ((PetalsServer)object);
				ps.synchronize();
			}
		}
		refreshViewer();
	}

}
