package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.model.PetalsComponent;
import org.objectweb.petals.tools.plugin.monitor.properties.PetalsComponentComposite;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeParent;


public class UninstallComponentAction extends ViewerAction {
	
	public UninstallComponentAction(TreeViewer viewer) {
		super(viewer);
		setText("D\u00e9sinstaller");
		setDescription("D\u00e9sinstalle le composant s\u00e9lectionn\u00e9");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
	}

		public void run() {
			ISelection selection = viewer.getSelection();
			for (Object obj: ((IStructuredSelection)selection).toList()) {
				TreeParent tpo = (TreeParent)obj;
				if (tpo instanceof PetalsComponent) {
					PetalsComponent pc = (PetalsComponent)tpo;
					pc.uninstall();
					//((TreeObject)tpo).getParent().removeChild((TreeObject)tpo);
					pc.getServer().remove(pc);
					if (PetalsComponentComposite.getInstance() != null) {
						PetalsComponentComposite.getInstance().refresh();
					}
				}
			}		
			refreshViewer();
		}
	
}
