package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.model.SharedLibrary;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeObject;


public class UnloadLibraryAction extends ViewerAction {

	public UnloadLibraryAction(TreeViewer viewer) {
		super(viewer);
		setText("D\u00e9charger");
		setDescription("D\u00e9charge la librairie partag\u00e9e de la m\u00e9moire de la VM");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
	}

	public void run() {
		ISelection selection = viewer.getSelection();
		for (Object obj : ((IStructuredSelection) selection).toList()) {
			TreeObject too = (TreeObject) obj;
			if (too instanceof SharedLibrary) {
				SharedLibrary sl = ((SharedLibrary)too);
				sl.unload();
				sl.getServer().remove(sl);
			}
		}
		refreshViewer();
	}

}
