package org.objectweb.petals.tools.plugin.monitor.configure;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IPersistableElement;
import org.objectweb.petals.tools.plugin.monitor.model.PetalsComponent;


public class PetalsComponentInput implements IEditorInput {
		
	private PetalsComponent component;
	
	public PetalsComponentInput(PetalsComponent component) {
		this.component = component;
	}
	
	public boolean exists() {
		return false;
	}

	public String getName() {
		return "Configuration du composant";
	}

	public IPersistableElement getPersistable() {
		return null;
	}

	public Object getAdapter(Class adapter) {
		return null;
	}
	
	public String getToolTipText() {
		return getName();
	}

	public ImageDescriptor getImageDescriptor() {
		return null;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof PetalsComponentInput) {
			return component.equals(((PetalsComponentInput)obj).getComponent());
		}
		return false;
	}

	public PetalsComponent getComponent() {
		return component;
	}

}
