package org.objectweb.petals.tools.plugin.monitor.model;

import java.util.List;

import javax.jbi.management.InstallationServiceMBean;
import javax.management.MBeanServerConnection;

import org.objectweb.petals.tools.plugin.monitor.providers.TreeObject;


public class FolderComponent extends ComponentParent {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2595513572661973044L;
	transient protected InstallationServiceMBean install;
	transient protected MBeanServerConnection connection;
	
	

	public FolderComponent(String name, List<? extends TreeObject> children, InstallationServiceMBean install, MBeanServerConnection connection, PetalsServer ps) {
		super(name, children);
		setInstall(install);
		setConnection(connection);
		setServer(ps);
	}

	public void setConnection(MBeanServerConnection connection) {
		this.connection = connection;
	}
	
	public void setInstall(InstallationServiceMBean install) {
		this.install = install;
	}
	
	
}
