package org.objectweb.petals.tools.plugin.monitor.model;

/**
 * Constantes repr\u00e9sentant les balises et les attributs du fichier XML d'export.
 * Le fichier XML d'export contient la liste des serveurs Petals connus.
 * 
 * @author LA
 */
public class XmlExportFileConstants {
	/**
	 * Balise racine du fichier
	 */
	public static final String TAG_ROOT = "petalsServerList";
	
	/**
	 * 
	 */
	public static final String ATTRIB_TR_URL_SERVER_PREFIX = "urlServerPrefix";
	
	/**
	 * 
	 */
	public static final String ATTRIB_TR_URL_ESB_PREFIX = "urlEsbPrefix";
	
	/**
	 * Balise serveur
	 */
	public static final String TAG_SERVER = "petalsServer";
	
	/**
	 * Balise url de la balise serveur
	 */
	public static final String TAG_SERVER_JMXURL = "jmxUrl";
	
	/**
	 * Balise de description du serveur (i.e. le nom du serveur)
	 */
	public static final String TAG_SERVER_DESCRIPTION = "description";
	
	/**
	 * Balise pour le login de la connection au serveur Petals
	 */
	public static final String TAG_SERVER_JMXLOGIN = "jmxLogin";
	
	/**
	 * Balise pour le password de la connection au serveur Petals
	 */
	public static final String TAG_SERVER_JMXPASSWORD = "jmxPassword";
}
