package org.objectweb.petals.tools.plugin.monitor.preferences;

/**
 * Constant definitions for plug-in preferences
 */
public class PreferenceConstants {

	public static final String STOP_TRANSPORT_LAYER = "stopTranportLayer";

	public static final String DEFAULT_SERVERS_URL = "defaultServersURL";
	
	public static final String DISCOVER_ONLY_STARTED_SERVERS = "discoverOnlyStartedServers";
	
	public static final String AUTO_ADD_DISCOVERED_SERVERS = "autoAddDiscoveredServers";
	
	public static final String AUTO_CONNECT_ADDED_SERVERS = "autoConnectAddedServers";
	
	public static final String AUTO_MONITOR_CONNECTED_SERVERS = "autoMonitorAddedServers";
	
	public static final String AUTO_SUBSCRIBE_COMPONENTS = "autoSubscribeComponents";
	
	public static final String SERVERS_INTERVAL_REFRESH = "serversIntervalRefresh";
	
	public static final String HIDE_SERVICE_ASSEMBLIES = "hideServicesAssemblies";
	
	public static final String SHOW_GHOST_COMPONENTS = "showGhostComponenets";
	
	public static final String SHOW_BC = "showBC";
	
	public static final String SHOW_SE = "showSE";
	
	public static final String SHOW_SL = "showSL";
	
	public static final String SHOW_SA = "showSa";
	
	public static final String SHOW_SU = "showSU";
	
	public static final String SHOW_CONNECTED_SERVERS = "showConnectedServers";
	
	public static final String SHOW_DISCONNECTED_SERVERS = "showDisconnectedServers";
	
	public static final String COMPONENTS_DIRECTORY = "componentsDirectory";
	
	public static final String PARTIAL_UNINSTALL = "partialUninstall";
	
	public static final String DELETE_FILES_OF_UNINSTALLED_COMPONENT = "deleteFilesOfUninstalledComponent";
	
	public static final String START_INSTALLED_COMPONENTS = "startInstalledComponents";
	
	public static final String START_ALL_EXPANDED_NODES = "startAllExpandedNodes";
	
	public static final String AUTO_REPLACE_COMPONENTS = "autoReplaceComponents";
	
}
