package org.objectweb.petals.tools.plugin.monitor.utils;

import java.io.IOException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.xml.sax.SAXException;

public class XmlUtils {
	/**
	 * Parsing du fichier xml annuaire.
	 * 
	 * @param xmlFile Le path et le nom du fichier annuaire
	 * 
	 * @return Le Document correspondant
	 */
	public static Document xmlParsing(String xmlFile) {
		Document document = null;
		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		DocumentBuilder builder;
		try {
			builder = factory.newDocumentBuilder();
			document = builder.parse(xmlFile);
		}
		catch (ParserConfigurationException e) {
			// Ne rien faire, on revoie le document null
		}
		catch (SAXException e) {
			// Ne rien faire, on revoie le document null
		}
		catch (IOException e) {
			// Ne rien faire, on revoie le document null
		}
        
		return document;
	}
}
