/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ESBDevPrefConstants.java,v 1.1 2007/04/11 15:17:37 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.constants;

/**
 * @author LAM
 */
public class ESBDevPrefConstants {

    public static final String JBI_XSD_PATH_LABEL = Messages.getString("ESBDevPrefConstants_0"); //$NON-NLS-1$

    public static final String JBI_XSD_PATH_NAME = Messages.getString("ESBDevPrefConstants_14"); //$NON-NLS-1$

    public static final String MAVEN_CMD_LABEL = Messages.getString("ESBDevPrefConstants_2"); //$NON-NLS-1$

    public static final String MAVEN_CMD_NAME = Messages.getString("ESBDevPrefConstants_13"); //$NON-NLS-1$
    
    public static final String USE_MAVEN_FOR_BUILDING_LABEL = Messages.getString("ESBDevPrefConstants_4"); //$NON-NLS-1$
    
    public static final String USE_MAVEN_FOR_BUILDING_NAME = Messages.getString("ESBDevPrefConstants_12"); //$NON-NLS-1$
    
    public static final String MAVEN_PETALS_PLUGIN_VERSION_NAME = Messages.getString("ESBDevPrefConstants_11"); //$NON-NLS-1$
    
    public static final String MAVEN_PETALS_PLUGIN_VERSION_LABEL = Messages.getString("ESBDevPrefConstants_7"); //$NON-NLS-1$
    
    public static final String MAVEN_PETALS_PLUGIN_VERSION_DEFAULT = "1.1.0"; //$NON-NLS-1$
    
    public static final String OBJECTWEB_MAVEN_REPO_LABEL = 
        Messages.getString("ESBDevPrefConstants_9"); //$NON-NLS-1$
    
    public static final String OBJECTWEB_MAVEN_REPO_NAME = Messages.getString("ESBDevPrefConstants_10"); //$NON-NLS-1$
    
    public ESBDevPrefConstants() { }
    
}
