/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: JbiXmlTags.java,v 1.3 2007/04/27 08:03:18 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.constants;

/**
 * @author LAM
 */
public final class JbiXmlTags {
    
    /**
     * TAG_OPEN_START = "&lt;"
     */
    public static final String TAG_OPEN_START = "<"; //$NON-NLS-1$
    
    /**
     * TAG_CLOSE_START = "&lt;/"
     */
    public static final String TAG_CLOSE_START = "</"; //$NON-NLS-1$
    
    /**
     * TAG_END = "&gt;"
     */
    public static final String TAG_END = ">"; //$NON-NLS-1$
    
    /**
     * CDATA_START = "![CDATA["
     */
    public static final String CDATA_START = "![CDATA["; //$NON-NLS-1$
    
    /**
     * CDATA_END = "]>"
     */
    public static final String CDATA_END = "]>"; //$NON-NLS-1$
    
    /**
     * COMMENT_BEGIN = "<!-- "
     */
    public static final String COMMENT_BEGIN = "<!-- "; //$NON-NLS-1$
    
    /**
     * COMMENT_END = " -->"
     */
    public static final String COMMENT_END = " -->"; //$NON-NLS-1$
    
    /**
     * XML_VERSION = "1.0"
     */
    public static final String XML_VERSION = "1.0"; //$NON-NLS-1$
    
    /**
     * PATH_ELEMENT = "path-element"
     */
    public static final String PATH_ELEMENT = "path-element"; //$NON-NLS-1$
    
    /**
     * BOOTSTRAP_CLASS_PATH = "bootstrap-class-path"
     */
    public static final String BOOTSTRAP_CLASS_PATH = "bootstrap-class-path"; //$NON-NLS-1$
    
    /**
     * COMPONENT_CLASS_PATH = "component-class-path"
     */
    public static final String COMPONENT_CLASS_PATH = "component-class-path"; //$NON-NLS-1$
    
    /**
     * BOOTSTRAP_CLASS_NAME = "bootstrap-class-name"
     */
    public static final String BOOTSTRAP_CLASS_NAME = "bootstrap-class-name"; //$NON-NLS-1$
    
    /**
     * COMPONENT_CLASS_NAME = "component-class-name"
     */
    public static final String COMPONENT_CLASS_NAME = "component-class-name"; //$NON-NLS-1$
    
    /**
     * LINK_TYPE = "link-type"
     */
    public static final String LINK_TYPE = "link-type"; //$NON-NLS-1$
    
    /**
     * ENDPOINT_NAME = "endpoint-name"
     */
    public static final String ENDPOINT_NAME = "endpoint-name"; //$NON-NLS-1$
    
    /**
     * INTERFACE_NAME = "interface-name"
     */
    public static final String INTERFACE_NAME = "interface-name"; //$NON-NLS-1$
    
    /**
     * SERVICE_NAME = "service-name"
     */
    public static final String SERVICE_NAME = "service-name"; //$NON-NLS-1$
    
    /**
     * JBI = "jbi"
     */
    public static final String JBI = "jbi"; //$NON-NLS-1$
    
    /**
     * VERSION = "version"
     */
    public static final String VERSION = "version"; //$NON-NLS-1$
    
    /**
     * TYPE = "type"
     */
    public static final String TYPE = "type"; //$NON-NLS-1$
    
    /**
     * NAME = "name"
     */
    public static final String NAME = "name"; //$NON-NLS-1$
    
    /**
     * DESCRIPTION = "description"
     */
    public static final String DESCRIPTION = "description"; //$NON-NLS-1$
    
    /**
     * IDENTIFICATION = "identification"
     */
    public static final String IDENTIFICATION = "identification"; //$NON-NLS-1$
    
    /**
     * SERVICES = "services"
     */
    public static final String SERVICES = "services"; //$NON-NLS-1$
    
    /**
     * SERVICE_ASSEMBLY = "service-assembly"
     */
    public static final String SERVICE_ASSEMBLY = "service-assembly"; //$NON-NLS-1$
    
    /**
     * SHARED_LIBRARY = "shared-library"
     */
    public static final String SHARED_LIBRARY = "shared-library"; //$NON-NLS-1$
    
    /**
     * SERVICE_UNIT = "service-unit"
     */
    public static final String SERVICE_UNIT = "service-unit"; //$NON-NLS-1$
    
    /**
     * COMPONENT = "component"
     */
    public static final String COMPONENT = "component"; //$NON-NLS-1$
    
    /**
     * CONNECTIONS = "connections"
     */
    public static final String CONNECTIONS = "connections"; //$NON-NLS-1$
    
    /**
     * CONNECTION = "connection"
     */
    public static final String CONNECTION = "connection"; //$NON-NLS-1$
    
    /**
     * TARGET = "target"
     */
    public static final String TARGET = "target"; //$NON-NLS-1$
    
    /**
     * CLASS_LOADER_DELEGATION = "class-loader-delegation"
     */
    public static final String CLASS_LOADER_DELEGATION = "class-loader-delegation"; //$NON-NLS-1$
    
    /**
     * BOOTSTRAP_CLASS_LOADER_DELEGATION = "bootstrap-class-loader-delegation"
     */
    public static final String BOOTSTRAP_CLASS_LOADER_DELEGATION = "bootstrap-class-loader-delegation"; //$NON-NLS-1$
    
    /**
     * COMPONENT_CLASS_LOADER_DELEGATION = "component-class-loader-delegation"
     */
    public static final String COMPONENT_CLASS_LOADER_DELEGATION = "component-class-loader-delegation"; //$NON-NLS-1$
    
    /**
     * SHARED_LIBRARY_CLASS_PATH = "shared-library-class-path"
     */
    public static final String SHARED_LIBRARY_CLASS_PATH = "shared-library-class-path"; //$NON-NLS-1$
    
    /**
     * ARTIFACTS_ZIP = "artifacts-zip"
     */
    public static final String ARTIFACTS_ZIP = "artifacts-zip"; //$NON-NLS-1$
    
    /**
     * COMPONENT_NAME = "component-name"
     */
    public static final String COMPONENT_NAME = "component-name"; //$NON-NLS-1$
    
    /**
     * CONSUMER = "consumer"
     */
    public static final String CONSUMER = "consumer"; //$NON-NLS-1$
    
    /**
     * PROVIDER = "provider"
     */
    public static final String PROVIDER = "provider"; //$NON-NLS-1$
    
    /**
     * CONSUMES = "consumes"
     */
    public static final String CONSUMES = "consumes"; //$NON-NLS-1$
    
    /**
     * PROVIDES = "provides"
     */
    public static final String PROVIDES = "provides"; //$NON-NLS-1$
    
    /**
     * BINDING_COMPONENT = "binding-component"
     */
    public static final String BINDING_COMPONENT = "binding-component"; //$NON-NLS-1$
    
    /**
     * TRUE = "true"
     */
    public static final String TRUE = "true"; //$NON-NLS-1$
    
    /**
     * FALSE = "false"
     */
    public static final String FALSE = "false"; //$NON-NLS-1$
    
    /**
     * EXTENSIONS = "extensions:extensions"
     */
    public static final String EXTENSIONS = "extensions:extensions"; //$NON-NLS-1$

    private JbiXmlTags() {
    }
    
}
