/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: IXMLColorConstants.java,v 1.2 2007/04/11 13:34:07 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor;

import org.eclipse.swt.graphics.RGB;

public class IXMLColorConstants {

    public static final RGB XML_COMMENT = new RGB(128, 0, 0);

    public static final RGB PROC_INSTR = new RGB(200, 20, 200);

    public static final RGB DOCTYPE = new RGB(0, 150, 150);

    public static final RGB STRING = new RGB(0, 128, 0);

    public static final RGB DEFAULT = new RGB(0, 0, 0);

    public static final RGB TAG = new RGB(0, 0, 128);

    // enhancements
    public static final RGB ESCAPED_CHAR = new RGB(128, 128, 0);

    public static final RGB CDATA = new RGB(0, 128, 128);

    public static final RGB CDATA_TEXT = new RGB(255, 0, 0);
    
    public IXMLColorConstants() {
    }
}
