/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: CoSlListSl.java,v 1.1 2007/04/11 15:17:37 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

/**
 * Binding for DOM Element tag : jbi &gt; component &gt; shared-library-list
 * &gt; shared-library
 * 
 * @author LAM
 */
public class CoSlListSl {

    private String value;

    private String version;
    
    public CoSlListSl() {
    }

    /**
     * Getter
     * 
     * @return The value
     */
    public String getValue() {
        return value;
    }

    /**
     * Setter
     * 
     * @param value
     *            The value
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Getter
     * 
     * @return The version
     */
    public String getVersion() {
        return version;
    }

    /**
     * Setter
     * 
     * @param version
     *            The version
     */
    public void setVersion(String version) {
        this.version = version;
    }
}
