/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SaConnConnConsumer.java,v 1.4 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

/**
 * Binding for DOM Element tag : jbi &gt; service-assembly &gt; connections &gt;
 * connection &gt; consumer
 * 
 * @author LAM
 */
public class SaConnConnConsumer {

    private String attribInterfaceName;

    private String attribServiceName;

    private String attribEndpointName;

    private String value;
    
    public SaConnConnConsumer() {
    }

    /**
     * Getter
     * 
     * @return The value
     */
    public String getValue() {
        return value;
    }

    /**
     * Setter
     * 
     * @param value
     *            the value to set
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Getter
     * 
     * @return the attribEndpointName
     */
    public String getAttribEndpointName() {
        return attribEndpointName;
    }

    /**
     * Setter
     * 
     * @param attribEndpointName
     *            the attribEndpointName to set
     */
    public void setAttribEndpointName(String attribEndpointName) {
        this.attribEndpointName = attribEndpointName;
    }

    /**
     * Getter
     * 
     * @return the attribInterfaceName
     */
    public String getAttribInterfaceName() {
        return attribInterfaceName;
    }

    /**
     * Setter
     * 
     * @param attribInterfaceName
     *            the attribInterfaceName to set
     */
    public void setAttribInterfaceName(String attribInterfaceName) {
        this.attribInterfaceName = attribInterfaceName;
    }

    /**
     * Getter
     * 
     * @return the attribServiceName
     */
    public String getAttribServiceName() {
        return attribServiceName;
    }

    /**
     * Setter
     * 
     * @param attribServiceName
     *            the attribServiceName to set
     */
    public void setAttribServiceName(String attribServiceName) {
        this.attribServiceName = attribServiceName;
    }
}
