/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SaConnConnection.java,v 1.4 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

/**
 * Binding for DOM Element tag : jbi &gt; service-assembly &gt; connections &gt;
 * connection
 * 
 * @author LAM
 */
public class SaConnConnection {

    private SaConnConnConsumer consumer;

    private SaConnConnProvider provider;
    
    public SaConnConnection() {
        
    }

    /**
     * Getter
     * 
     * @return the consumer
     */
    public SaConnConnConsumer getConsumer() {
        return consumer;
    }

    /**
     * Setter
     * 
     * @param consumer
     *            the consumer to set
     */
    public void setConsumer(SaConnConnConsumer consumer) {
        this.consumer = consumer;
    }

    /**
     * Getter
     * 
     * @return the provider
     */
    public SaConnConnProvider getProvider() {
        return provider;
    }

    /**
     * Setter
     * 
     * @param provider
     *            the provider to set
     */
    public void setProvider(SaConnConnProvider provider) {
        this.provider = provider;
    }
}
