/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SaServiceUnit.java,v 1.4 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

/**
 * Binding for DOM Element tag : jbi &gt; service-assembly &gt; service-unit
 * 
 * @author LAM
 */
public class SaServiceUnit {

    private Identification identification;

    private SaSuTarget target;
    
    /**
     * Creates a new instance of {@link SaServiceUnit}
     *
     */
    public SaServiceUnit() {
    }

    /**
     * Getter
     * 
     * @return the identification
     */
    public Identification getIdentification() {
        return identification;
    }

    /**
     * Setter
     * 
     * @param identification
     *            the identification to set
     */
    public void setIdentification(Identification identification) {
        this.identification = identification;
    }

    /**
     * Getter
     * 
     * @return the target
     */
    public SaSuTarget getTarget() {
        return target;
    }

    /**
     * Setter
     * 
     * @param target
     *            the target to set
     */
    public void setTarget(SaSuTarget target) {
        this.target = target;
    }
}
