/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SharedLibrary.java,v 1.4 2007/04/16 08:39:55 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.beans;

import java.util.List;

/**
 * Binding for DOM Element tag : jbi &gt; shared-library
 * 
 * @author LAM
 */
public class SharedLibrary {

    private String attribClassLoaderDelegation;

    private String attribVersion;

    private Identification identification;

    private List<String> sharedLibraryClassPath;
    
    public SharedLibrary() {
        
    }

    /**
     * Getter
     * 
     * @return the attribClassLoaderDelegation
     */
    public String getAttribClassLoaderDelegation() {
        return attribClassLoaderDelegation;
    }

    /**
     * Setter
     * 
     * @param attribClassLoaderDelegation
     *            the attribClassLoaderDelegation to set
     */
    public void setAttribClassLoaderDelegation(
            String attribClassLoaderDelegation) {
        this.attribClassLoaderDelegation = attribClassLoaderDelegation;
    }

    /**
     * Getter
     * 
     * @return the attribVersion
     */
    public String getAttribVersion() {
        return attribVersion;
    }

    /**
     * Setter
     * 
     * @param attribVersion
     *            the attribVersion to set
     */
    public void setAttribVersion(String attribVersion) {
        this.attribVersion = attribVersion;
    }

    /**
     * Getter
     * 
     * @return the identification
     */
    public Identification getIdentification() {
        return identification;
    }

    /**
     * Setter
     * 
     * @param identification
     *            the identification to set
     */
    public void setIdentification(Identification identification) {
        this.identification = identification;
    }

    /**
     * Getter
     * 
     * @return the sharedLibraryClassPath
     */
    public List<String> getSharedLibraryClassPath() {
        return sharedLibraryClassPath;
    }

    /**
     * Setter
     * 
     * @param sharedLibraryClassPath
     *            the sharedLibraryClassPath to set
     */
    public void setSharedLibraryClassPath(List<String> sharedLibraryClassPath) {
        this.sharedLibraryClassPath = sharedLibraryClassPath;
    }
}
