/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.plugin.development.jbieditor.business;


/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 * 
 */
public class JbiUtils {

    public static final String getSuElementForSa(String name, String zipName,
            String componentName) {
        StringBuffer sb = new StringBuffer(
                "<service-unit><identification><name>"); //$NON-NLS-1$
        sb.append(name);
        sb
                .append("</name><description></description></identification><target><artifacts-zip>"); //$NON-NLS-1$
        sb.append(zipName);
        sb.append("</artifacts-zip><component-name>"); //$NON-NLS-1$
        sb.append(componentName);
        sb.append("</component-name>"); //$NON-NLS-1$
        sb.append("</target></service-unit>"); //$NON-NLS-1$

        return sb.toString();
    }
}
