/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: StringUtils.java,v 1.4 2007/04/16 14:43:44 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.jbieditor.business;

/**
 * String utilities
 * 
 * @author LAM
 */
public final class StringUtils {
    
    private StringUtils() {
    }

    /**
     * Test if the String is Empty or not
     * 
     * @param string
     *            The string
     * 
     * @return true or false
     */
    public static boolean isEmpty(String string) {
        return !isNotEmpty(string);
    }

    /**
     * Test if the String is !(Empty or not)
     * 
     * @param string
     *            The string
     * 
     * @return true or false
     */
    public static boolean isNotEmpty(String string) {
        return (string != null) && (string.length() > 0);
    }
}
