/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.plugin.development.maven;

/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 * 
 */
public class PomXmlTags {

    /**
     * Creates a new instance of {@link PomXmlTags}
     * 
     */
    private PomXmlTags() {
    }

    public static final String ARTIFACT_ID = "artifactId"; //$NON-NLS-1$

    public static final String GROUP_ID = "groupId"; //$NON-NLS-1$

    public static final String VERSION = "version"; //$NON-NLS-1$

    public static final String DEPENDENCIES = "dependencies"; //$NON-NLS-1$

    public static final String DEPENDENCY = "dependency"; //$NON-NLS-1$

    public static final String PACKAGING = "packaging"; //$NON-NLS-1$

    public static final String TYPE = "type"; //$NON-NLS-1$

}
