/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: Constants.java,v 1.1 2007/05/14 15:39:51 lam Exp $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.plugin.development.wizard.su.filetransfer.customization;

/**
 * @author alouis
 */
public final class Constants {
    
    /**
     * QUOTES = "\""
     */
    public static final String QUOTES = "\""; //$NON-NLS-1$
    
    /**
     * RESSOURCE_WSDL = "/sample.wsdl"
     */
    public static final String RESSOURCE_WSDL = "/sample.wsdl"; //$NON-NLS-1$
    
    /**
     * IN_FILE_CONSUMED_SERVICES = "IN_FILE_CONSUMED_SERVICES"
     */
    public static final String IN_FILE_SERVICES = "IN_FILE_SERVICES"; //$NON-NLS-1$
    
    /**
     * IN_FILE_XMLNS = "IN_FILE_XMLNS"
     */
    public static final String IN_FILE_XMLNS = "IN_FILE_XMLNS"; //$NON-NLS-1$
    
    /**
     * RESSOURCE_JBI_CONSUMES = "/jbiConsumesXml"
     * Sample jbi.xml in the jar file
     */
    public static final String RESSOURCE_JBI_CONSUMES = "/jbiConsumesXml"; //$NON-NLS-1$
    
    public static final String DEPENDENCIES_TAG = Messages.Constants_5;
    
    public static final String JUNIT = "junit"; //$NON-NLS-1$

    
    /**
     * POM_FILE = "pom.xml"
     */
    public static final String POM_FILE = "pom.xml"; //$NON-NLS-1$
    
    /**
     * JBI_FILE = "jbi.xml"
     */
    public static final String JBI_FILE = "jbi.xml"; //$NON-NLS-1$
    
    private Constants() {
        
    }
    
}
