/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: WizardCustomizationModel.java,v 1.1 2007/04/24 07:26:57 lam Exp $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.plugin.development.wizards.models;

import org.objectweb.petals.tools.plugin.development.wizards.interfaces.IWizardCustomization;

/**
 * @author LAM
 */
public class WizardCustomizationModel {

    private String specificProjectType;

    private IWizardCustomization specificCustomization;

    /**
     * Creates a new instance of {@link WizardCustomizationModel}
     * 
     */
    public WizardCustomizationModel() {
    }

    /**
     * @return the specificProjectType
     */
    public String getSpecificProjectType() {
        return specificProjectType;
    }

    /**
     * @param specificProjectType
     *            the specificProjectType to set
     */
    public void setSpecificProjectType(String specificProjectType) {
        this.specificProjectType = specificProjectType;
    }

    /**
     * @return the specificComposite
     */
    public IWizardCustomization getSpecificCustomization() {
        return specificCustomization;
    }

    /**
     * @param specificComposite
     *            the specificComposite to set
     */
    public void setSpecificCustomization(
            IWizardCustomization specificCustomization) {
        this.specificCustomization = specificCustomization;
    }

}
