package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.viewers.AbstractTreeViewer;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeParent;


/**
 * @author JR (RAVOIRE Julien - CAPGEMINI)
 * 
 * 13 mars 07
 */
public class CollapseTreeAction extends ViewerAction {
	
	public CollapseTreeAction(TreeViewer viewer) {
		super(viewer);
		setText("R\u00e9duire");
		setDescription("R\u00e9duit le noeud s\u00e9lectionn\u00e9");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));

	}

	public void run() {
		ISelection selection = viewer.getSelection();
		for (Object obj: ((IStructuredSelection)selection).toList()) {
			TreeParent tpo = (TreeParent)obj;
			viewer.collapseToLevel(tpo, AbstractTreeViewer.ALL_LEVELS);
		}	
	}
	
}
