package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.viewers.AbstractTreeViewer;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.providers.TreeParent;


/**
 * @author JR (RAVOIRE Julien - CAPGEMINI)
 * 
 * 13 mars 07
 */
public class ExpandTreeAction extends ViewerAction {
	
	public ExpandTreeAction(TreeViewer viewer) {
		super(viewer);
		setText("D\u00e9velopper");
		setDescription("Developpe le noeud s\u00e9lectionn\u00e9");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
	}

	public void run() {
		ISelection selection = viewer.getSelection();
		for (Object obj: ((IStructuredSelection)selection).toList()) {
			TreeParent tpo = (TreeParent)obj;
			viewer.expandToLevel(tpo, AbstractTreeViewer.ALL_LEVELS);
		}				
	}

	
}
