package org.objectweb.petals.tools.plugin.monitor.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.TreeViewer;
import org.objectweb.petals.tools.plugin.monitor.properties.PetalsComponentComposite;


/**
 * @author JR (RAVOIRE Julien - CAPGEMINI)
 * 
 * 13 mars 07
 */
public class ReinstallComponentAction extends ViewerAction {

	private Action start, stop;
	
	public ReinstallComponentAction(TreeViewer viewer, Action startAction, Action stopAction) {
		super(viewer);
		setText("R\u00e9installer");
		setDescription("R\u00e9installe le composant s\u00e9lectionn\u00e9");
		//setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(Activator.PLUGIN_ID, "icons/refresh.gif"));
		this.start = startAction;
		this.stop = stopAction;
	}

	public void run() {
		stop.run();
		start.run();
		if (PetalsComponentComposite.getInstance() != null) {
			PetalsComponentComposite.getInstance().refresh();
		}
	}

}
