package org.objectweb.petals.tools.plugin.monitor.model;

import javax.jbi.management.ComponentLifeCycleMBean;
import javax.management.ObjectName;

public class BindingComponent extends PetalsComponent {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5495541399666708869L;

	/**
	 * Constructeur d'un BC \u00e0 partir de son objet JMX et de son cycle de vie
	 * @param objectName
	 * @param lifecycle
	 */
	public BindingComponent(ObjectName objectName, ComponentLifeCycleMBean lifecycle) {
		super(objectName, lifecycle);
		setLifecycle(lifecycle);
	}
		
	@Override
	public boolean isBinding() {
		return true;
	}

	@Override
	public boolean isEngine() {
		return false;
	}

	@Override
	public String getType() {
		return "binding component";
	}
	
}
