package org.objectweb.petals.tools.plugin.monitor.model;

import javax.jbi.management.ComponentLifeCycleMBean;
import javax.management.ObjectName;

public class ServiceEngine extends PetalsComponent {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8921161312001601189L;

	public ServiceEngine(ObjectName objectName, ComponentLifeCycleMBean lifecycle) {
		super(objectName, lifecycle);
	} 
	
	@Override
	public boolean isBinding() {
		return false;
	}

	@Override
	public boolean isEngine() {
		return true;
	}

	@Override
	public String getType() {
		return "service engine";
	}
		
}
