package org.objectweb.petals.tools.plugin.monitor.model;

public interface ServiceInterface {

	public void stop();
	
	public void start();
	
	public void shutdown();
	
	public boolean isDeployed();
	
	public boolean isShutdown();
	
	public boolean isStarted();
	
	public boolean isStopped();

	public boolean isDeployable();
	
	public void deploy(String url);
	
	public void undeploy() throws Exception;
	
}
